Package org.eclipse.birt.report.model.api

# Class DerivedDataSetHandle

java.lang.Object
org.eclipse.birt.report.model.api.DesignElementHandle
org.eclipse.birt.report.model.api.ReportElementHandle
org.eclipse.birt.report.model.api.DataSetHandle
org.eclipse.birt.report.model.api.DerivedDataSetHandle

All Implemented Interfaces:
  `org.eclipse.birt.report.model.elements.interfaces.IDataSetModel`, `org.eclipse.birt.report.model.elements.interfaces.IDerivedDataSetModel`, `org.eclipse.birt.report.model.elements.interfaces.IDerivedExtendableElementModel`, `org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel`, `org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel`

public class DerivedDataSetHandle extends DataSetHandle implements org.eclipse.birt.report.model.elements.interfaces.IDerivedDataSetModel, org.eclipse.birt.report.model.elements.interfaces.IDerivedExtendableElementModel
Provides API to operate a derived data set.

## Field Summary

### Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`element`

### Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`module`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDataSetModel

`ACL_EXPRESSION_PROP, CACHED_METADATA_PROP, COLUMN_HINTS_PROP, COMPUTED_COLUMNS_PROP, FILTER_PROP, IS_VISIBLE_PROP, LOCALE_PROP, NEEDS_CACHE_PROP, NULLS_ORDERING_PROP, PARAMETERS_PROP, RESULT_SET_HINTS_PROP, RESULT_SET_PROP, ROW_ACL_EXPRESSION_PROP, ROW_FETCH_LIMIT_PROP, SORT_HINTS_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDerivedDataSetModel

`INPUT_DATA_SETS_PROP, QUERY_TEXT_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDerivedExtendableElementModel

`EXTENSION_ID_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel

`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

### Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.ISimpleDataSetModel

`AFTER_CLOSE_METHOD, AFTER_OPEN_METHOD, BEFORE_CLOSE_METHOD, BEFORE_OPEN_METHOD, CACHED_ROW_COUNT_PROP, DATA_SET_ROW_LIMIT, DATA_SOURCE_PROP, ON_FETCH_METHOD, PARAM_BINDINGS_PROP`

## Constructor Summary

Constructors
Constructor
Description
`DerivedDataSetHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.DerivedDataSet element)`
Constructs a handle of the joint data set with the given design and a joint data set.

## Method Summary

Modifier and Type
Method
Description
`void`
`addInputDataSets(String dataSetName)`
Inserts a data set with the specified name into this derived data set.
`String`
`getExtensionID()`
Returns ID of the extension which extends this ODA data set.
`List<DataSetHandle>`
`getInputDataSets()`
Gets the list of all the input data set handle that this derive data set includes.
`String`
`getQueryText()`
Returns the query text.
`void`
`removeInputDataSet(String dataSetName)`
Removes a data set with the specified name from this derived data set.
`void`
`setQueryText(String text)`
Sets the query text.

### Methods inherited from class org.eclipse.birt.report.model.api.DataSetHandle

`addFilter, columnHintsIterator, computedColumnsIterator, filtersIterator, getACLExpression, getAfterClose, getAfterOpen, getBeforeClose, getBeforeOpen, getCachedMetaDataHandle, getCachedRowCount, getDataSetRowLimit, getDataSource, getDataSourceName, getLocale, getNullsOrdering, getOnFetch, getPropertyHandle, getRowACLExpression, getRowFetchLimit, isVisible, needsCache, paramBindingsIterator, parametersIterator, removeFilter, resultSetHintsIterator, resultSetIterator, setAfterClose, setAfterOpen, setBeforeClose, setBeforeOpen, setCachedMetaData, setCachedRowCount, setDataSetRowLimit, setDataSource, setIsVisible, setLocale, setNeedsCache, setNullsOrdering, setOnFetch, setRowFetchLimit, sortHintsIterator`

### Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle

`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

### Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle

`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getTagType, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DerivedDataSetHandle

public DerivedDataSetHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.elements.DerivedDataSet element)
Constructs a handle of the joint data set with the given design and a joint data set. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

Parameters:
  `module` - the module
  `element` - the model representation of the element

## Method Details

### setQueryText

public void setQueryText(String text) throws SemanticException
Sets the query text.

Parameters:
  `text` - the text to set
Throws:
  `SemanticException` - if this property is locked.

### getQueryText

public String getQueryText()
Returns the query text.

Returns:
  the query text.

### addInputDataSets

public void addInputDataSets(String dataSetName) throws SemanticException
Inserts a data set with the specified name into this derived data set.

Parameters:
  `dataSetName` - name of the data set
Throws:
  `SemanticException`

### removeInputDataSet

public void removeInputDataSet(String dataSetName) throws SemanticException
Removes a data set with the specified name from this derived data set.

Parameters:
  `dataSetName` - name of the data set to remove
Throws:
  `SemanticException`

### getInputDataSets

public List<DataSetHandle> getInputDataSets()
Gets the list of all the input data set handle that this derive data set includes. If no data set is included or no data set is found for input data set names, an empty list will be returned.

Returns:
  list of the input data set handles

### getExtensionID

public String getExtensionID()
Returns ID of the extension which extends this ODA data set.

Returns:
  the extension ID